Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- callback : qm_ac_config_t , qm_adc_xfer_t , qm_aonpt_config_t , qm_gpio_port_config_t , qm_i2c_transfer_t , qm_i2s_channel_cfg_data_t , qm_mbox_config_t , qm_pic_timer_config_t , qm_pwm_config_t , qm_rtc_config_t , qm_spi_async_transfer_t , qm_ss_adc_xfer_t , qm_ss_gpio_port_config_t , qm_ss_i2c_transfer_t , qm_ss_spi_async_transfer_t , qm_ss_timer_config_t , qm_uart_transfer_t , qm_usb_ep_config_t , qm_wdt_config_t
- callback_context : qm_dma_channel_config_t
- callback_data : qm_ac_config_t , qm_adc_xfer_t , qm_aonpt_config_t , qm_gpio_port_config_t , qm_i2c_transfer_t , qm_i2s_channel_cfg_data_t , qm_pic_timer_config_t , qm_pwm_config_t , qm_rtc_config_t , qm_spi_async_transfer_t , qm_ss_adc_xfer_t , qm_ss_gpio_port_config_t , qm_ss_i2c_transfer_t , qm_ss_spi_async_transfer_t , qm_ss_timer_config_t , qm_uart_transfer_t , qm_usb_ep_config_t , qm_wdt_config_t
- ccr : qm_mvic_reg_t
- ccu_ext_clock_ctl : qm_scss_ccu_reg_t
- ccu_gpio_db_clk_ctl : qm_scss_ccu_reg_t
- ccu_lp_clk_ctl : qm_scss_ccu_reg_t
- ccu_mlayer_ahb_ctl : qm_scss_ccu_reg_t
- ccu_periph_clk_div_ctl0 : qm_scss_ccu_reg_t
- ccu_periph_clk_gate_ctl : qm_scss_ccu_reg_t
- ccu_ss_periph_clk_gate_ctl : qm_scss_ccu_reg_t
- ccu_sys_clk_ctl : qm_scss_ccu_reg_t
- cfg_high : qm_dma_chan_reg_t , qm_dma_context_t , qm_dma_misc_reg_t
- cfg_lock : qm_scss_peripheral_reg_t
- cfg_low : qm_dma_chan_reg_t , qm_dma_context_t , qm_dma_misc_reg_t
- ch : qm_adc_xfer_t , qm_ss_adc_xfer_t
- ch_ctrl : qm_mailbox_t
- ch_data : qm_mailbox_t
- ch_len : qm_adc_xfer_t , qm_ss_adc_xfer_t
- ch_sts : qm_mailbox_t
- chan_en_high : qm_dma_misc_reg_t
- chan_en_low : qm_dma_misc_reg_t
- channel_direction : qm_dma_channel_config_t
- clear_block_high : qm_dma_int_reg_t
- clear_block_low : qm_dma_int_reg_t
- clear_dst_trans_high : qm_dma_int_reg_t
- clear_dst_trans_low : qm_dma_int_reg_t
- clear_err_high : qm_dma_int_reg_t
- clear_err_low : qm_dma_int_reg_t
- clear_src_trans_high : qm_dma_int_reg_t
- clear_src_trans_low : qm_dma_int_reg_t
- clear_tfr_high : qm_dma_int_reg_t
- clear_tfr_low : qm_dma_int_reg_t
- client_callback : qm_dma_channel_config_t
- clk_divider : qm_ss_spi_config_t
- cmp_en : qm_ac_config_t , qm_scss_cmp_reg_t
- cmp_pwr : qm_scss_cmp_reg_t
- cmp_ref_pol : qm_scss_cmp_reg_t
- cmp_ref_sel : qm_scss_cmp_reg_t
- cmp_stat_clr : qm_scss_cmp_reg_t
- comparator_0_host_halt_int_mask : qm_interrupt_router_reg_t
- comparator_0_host_int_mask : qm_interrupt_router_reg_t
- comparator_0_ss_halt_int_mask : qm_interrupt_router_reg_t
- comparator_0_ss_int_mask : qm_interrupt_router_reg_t
- con : qm_i2c_context_t
- controlreg : qm_pwm_channel_t , qm_pwm_context_t
- cotps : qm_scss_info_reg_t
- count : qm_aonpt_config_t , qm_ss_timer_config_t
- ctrl : qm_flash_context_t , qm_flash_reg_t , qm_mbox_msg_t
- ctrl_high : qm_dma_chan_reg_t
- ctrl_low : qm_dma_chan_reg_t , qm_dma_context_t
- ctrlr0 : qm_spi_context_t , qm_spi_reg_t
- ctrlr1 : qm_spi_reg_t
- currentvalue : qm_pwm_channel_t